.header-container {
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 1000;
  background-color: #C5E3EC;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 10vh;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
  box-sizing: border-box;
}

.logo-container {
  display: flex;
  align-items: center;
}

.logo {
  width: 2.5rem;
}

.header-buttons {
  display: flex;
  gap: 1rem;
}

.btn {
  color: #333;
  background: transparent;
  padding: 10px 20px;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: bold;
  letter-spacing: 1px;
  transition: all 0.3s ease;
  border: 2px solid transparent;
  border-radius: 5px;
}

.btn:hover {
  color: #fff;
  background: #ff5722;
  border: 2px solid #ff5722;
  transform: translateY(-2px);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  cursor:pointer;
}

.btn.active {
  color: #fff;
  background: #6a819a; /* Adjust the color as needed */
  border: 2px solid #ffffff; /* Adjust the color as needed */
  transform: translateY(-2px);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

/* Additional styles for mobile responsiveness */
@media (max-width: 768px) {
  .header {
    flex-direction: column;
    height: auto;
    padding: 10px 20px;
  }

  .header-buttons {
    flex-direction: column;
    gap: 0.5rem;
  }

  .btn {
    padding: 8px 15px;
  }
}
